vala-tests r32 - trunk/tests/bugs



Author: malureau
Date: Sat Oct 18 19:13:58 2008
New Revision: 32
URL: http://svn.gnome.org/viewvc/vala-tests?rev=32&view=rev

Log:
Add 436011 bug test

Added:
   trunk/tests/bugs/436011.test   (contents, props changed)
   trunk/tests/bugs/436011.vala
Modified:
   trunk/tests/bugs/update.sh

Added: trunk/tests/bugs/436011.test
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/436011.test	Sat Oct 18 19:13:58 2008
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=../tests/bugs
+
+if [ "x$VALAC" = "x" ] ; then
+  VALAC=valac
+  SRCDIR=.
+fi
+
+while true ; do
+    case "$1" in
+	--interact) INTERACT=1 ; shift ;;
+	--) shift ; break ;;
+	*) break ;;
+    esac
+done
+
+TESTNAME=`basename $0 .test`
+
+  $VALAC  -o $TESTNAME $SRCDIR/$TESTNAME.vala  -c -X -m64 -X -Wall -X -Werror -c $VALAFLAGS
+
+if [ "$?" != "0" ] && [ -n  ]; then
+  echo ""
+  echo "*** WARNING: This vala test was expecting to fail ***"
+  echo ""
+  echo "Visit bug: http://bugzilla.gnome.org/show_bug.cgi?id=436011";
+  exit 1
+fi
+
+true || exit 1
+
+if [ "xno" = "x1" -o "x$INTERACT" = "x1" ] ; then
+  G_DEBUG=fatal_warnings ./$TESTNAME  $@
+else
+  echo ""
+  [ "xno" = "x0" ] && echo "*** WARNING: This vala test is interactive and will not be run (try --interact) ***"
+  [ "xno" = "xno" ] && rm -rf 436011.o
+fi
+

Added: trunk/tests/bugs/436011.vala
==============================================================================
--- (empty file)
+++ trunk/tests/bugs/436011.vala	Sat Oct 18 19:13:58 2008
@@ -0,0 +1,5 @@
+void main () {
+	var test = new SList<int> ();
+	int a = -1;
+	test.append(a);
+}
\ No newline at end of file

Modified: trunk/tests/bugs/update.sh
==============================================================================
--- trunk/tests/bugs/update.sh	(original)
+++ trunk/tests/bugs/update.sh	Sat Oct 18 19:13:58 2008
@@ -15,6 +15,7 @@
 
 norun="
 433290
+436011
 "
 
 invalid="
@@ -83,6 +84,7 @@
 [ "$test" = "434515" ] && VALAFLAGS="$VALAFLAGS -D WITH_TEST"
 [ "$test" = "435848" ] && VALAFLAGS="$VALAFLAGS -X -Wall"
 [ "$test" = "435854" ] && VALAFLAGS="$VALAFLAGS -C"
+[ "$test" = "436011" ] && VALAFLAGS="$VALAFLAGS -X -m64 -X -Wall -X -Werror -c"
 
 BUGZILLA="http://bugzilla.gnome.org/show_bug.cgi?id=$test";
 



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]